Get Merchant Identifiers
This endpoint returns the merchant's public ID and the publishable key related to the merchant division.
Authorization
X-API-Key X-API-Key<token>
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/merchant/identifiers"{ "merchant_divisions": [ { "division_id": "IraJdeIgmdsO", "publishable_key": "8fd9diIy59sj.IraJdeIgmdsO.fd233434fg2c616cgo932aa6e1e4fc627a9385045gr395222a127gi93c595rg4" } ], "merchant_id": "8fd9diIy59sj", "signing_secret": "xf833434fg2cffos92632aa6e1e4fc627a9385045gdj937fg2a127gi93cgos873"}Set Callback URLs POST
Configure callbacks URLs for a Bolt merchant division. This will store or override only the callback URLs that are specified in the request. Operations are fully transactional.
Create Order Token POST
Make a request to this endpoint to create a Bolt order, generate a Bolt order token, and initiate the checkout process. A Bolt order token is required for Bolt orders; see Non-Bolt orders for alternative use cases.